import { JSONSchema7 } from 'json-schema';

const simple: JSONSchema7 = {
  title: 'A registration form',
  description: 'A simple form example.',
  type: 'object',
  properties: {
    firstName: {
      type: 'string',
      title: 'First name',
      default: 'Chuck',
    },
    age: {
      type: 'integer',
      title: 'Age',
      minimum: 50,
      maximum: 100,
    },
    Done: {
      type: 'boolean',
      title: 'Done?',
      // default: false,
    },
  },
};

const testJSONSchemas: Array<{ schema: JSONSchema7, name: string }> = [
    { schema: simple, name: 'simple'},
];

export default testJSONSchemas;
